data:extend({
  {
    type = "technology",
    name = "advanced-material-processing-3",
    icon = "__base__/graphics/technology/advanced-material-processing.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "electric-furnace-2"
      }
    },
    prerequisites = {"advanced-material-processing-2"},
    unit =
    {
      count = 250,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1}
      },
      time = 60
    },
    order = "c-c-c-a"
  },
  {
    type = "technology",
    name = "advanced-material-processing-4",
    icon = "__base__/graphics/technology/advanced-material-processing.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "electric-furnace-3"
      }
    },
    prerequisites = {"advanced-material-processing-3"},
    unit =
    {
      count = 500,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1},
		{"alien-science-pack", 1}
      },
      time = 60
    },
    order = "c-c-c-b"
  },
  
  {
    type = "technology",
    name = "logistics-4",
    icon = "__base__/graphics/technology/logistics.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "transport-belt-4"
      },
      {
        type = "unlock-recipe",
        recipe = "belt-to-ground-4"
      },
      {
        type = "unlock-recipe",
        recipe = "splitter-4"
      },
	  {
        type = "unlock-recipe",
        recipe = "faster-inserter"
      },
    },
    prerequisites = {"logistics-3", "automation-4"},
    unit =
    {
      count = 500,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 30
    },
    order = "a-f-d-a",
  },
  --[[{
    type = "technology",
    name = "logistics-5",
    icon = "__base__/graphics/technology/logistics.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "transport-belt-5"
      },
      {
        type = "unlock-recipe",
        recipe = "underground-belt-5"
      },
      {
        type = "unlock-recipe",
        recipe = "splitter-5"
      }
    },
    prerequisites = {"logistics-4", "automation-8"},
    unit =
    {
      count = 1000,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
		{"alien-science-pack", 1}
      },
      time = 90
    },
    order = "a-f-d-a",
  },]]

  {
    type = "technology",
    name = "automation-4",
    icon = "__base__/graphics/technology/automation.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "assembling-machine-4"
      }
    },
    prerequisites = {"automation-3"},
    unit =
    {
      count = 200,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}},
      time = 60
    },
    order = "a-b-c"
  },
  {
    type = "technology",
    name = "automation-5",
    icon = "__base__/graphics/technology/automation.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "assembling-machine-5"
      }
    },
    prerequisites = {"automation-4"},
	upgrade = true,
    unit =
    {
      count = 250,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 2}},
      time = 60
    },
    order = "a-b-c"
  },
  {
    type = "technology",
    name = "automation-6",
    icon = "__base__/graphics/technology/automation.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "assembling-machine-6"
      }
    },
    prerequisites = {"automation-5", "speed-module-2"},
	upgrade = true,
    unit =
    {
      count = 400,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 2}},
      time = 60
    },
    order = "a-b-c"
  },
  {
    type = "technology",
    name = "automation-7",
    icon = "__base__/graphics/technology/automation.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "assembling-machine-7"
      }
    },
    prerequisites = {"automation-6"},
	upgrade = true,
    unit =
    {
      count = 500,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 2}, {"alien-science-pack", 1}},
      time = 60
    },
    order = "a-b-c"
  },
  {
    type = "technology",
    name = "automation-8",
    icon = "__base__/graphics/technology/automation.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "assembling-machine-8"
      }
    },
    prerequisites = { "automation-7"},
	upgrade = true,
    unit =
    {
      count = 1000,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 2}, {"science-pack-3", 2}, {"alien-science-pack", 1}},
      time = 60
    },
    order = "a-b-c"
  },
  {
    type = "technology",
    name = "automation-9",
    icon = "__base__/graphics/technology/automation.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "assembling-machine-9"
      }
    },
    prerequisites = {"automation-8", "speed-module-3"},
	upgrade = true,
    unit =
    {
      count = 1500,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 2}, {"science-pack-3", 2}, {"alien-science-pack", 1}},
      time = 60
    },
    order = "a-b-c"
  },
  {
    type = "technology",
    name = "automation-10",
    icon = "__base__/graphics/technology/automation.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "assembling-machine-10"
      }
    },
    prerequisites = {"automation-9"},
	upgrade = true,
    unit =
    {
      count = 2000,
      ingredients = {{"science-pack-1", 2}, {"science-pack-2", 3}, {"science-pack-3", 2}, {"alien-science-pack", 1}},
      time = 60
    },
    order = "a-b-c"
  },

})